Bug 89916 - redhat-control-network:203:on_deactivateButton_clicked:AttributeError
redhat-control-network:203:on_deactivateButton_clicked:AttributeError
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-29 14:48 EDT by Jan Moren
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-11 10:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Moren 2003-04-29 14:48:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021209
Phoenix/0.5

Description of problem:
Running network-device-control (as root, or as user) throws an exception when
activating a device. This happens on a network setup that worked fine for the
previous version. This is new since the 1.2.4-2 update.

Version-Release number of selected component (if applicable):
redhat-config-network-1.2.4-2

How reproducible:
Always

Steps to Reproduce:
1. Have two profiles set up for one hardware device
2. run the app
3. choose "Activate"
    

Actual Results:  A message box appears with a caught exception. The device is
not activated.

Expected Results:  An activated device.

Additional info:

This is the text (actually for deactivating, as I need the connection to make
this report):

Component: redhat-config-network
Version: 1.2.4
Summary: TB
/usr/bin/redhat-control-network:203:on_deactivateButton_clicked:AttributeError:
'str' object has no attribute 'deviceId'
Traceback (most recent call last):
  File "/usr/bin/redhat-control-network", line 203, in on_deactivateButton_clicked
    errorString = _('Cannot deactivate network device %s')\
AttributeError: 'str' object has no attribute 'deviceId'


And this is what I get when trying to dump to a file:

(redhat-control-network:4237): libglade-WARNING **: could not find glade file
'/usr/share/redhat-config-network/netconfpkg/gui/infodialog.glade'
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/bin/../share/redhat-config-network/netconf.py", line 72, in <lambda>
    PROGNAME, PRG_VERSION)
  File "/usr/lib/python2.2/site-packages/rhpl/exception.py", line 265, in
handleException
    fs = FileSelection(_("Please specify a file to save the dump"))
  File "/usr/lib/python2.2/site-packages/rhpl/exception.py", line 213, in __init__
    hbox = gtk.HBox (FALSE)
NameError: global name 'FALSE' is not defined
 
Original exception was:
Traceback (most recent call last):
  File "/usr/bin/redhat-control-network", line 203, in on_deactivateButton_clicked
    errorString = _('Cannot deactivate network device %s')\
AttributeError: 'str' object has no attribute 'deviceId'
Comment 1 Harald Hoyer 2003-04-30 06:33:44 EDT
fixed in 1.2.4-3
ftp://people.redhat.com/harald/redhat-config-network/1.2.4-RH9/
Comment 2 Jan Moren 2003-05-05 05:34:33 EDT
Still very broken.

As root, doing "deactivate" on the current active device gives no exception, but
does not deactivate the network either. In the console, I get this output:

(redhat-control-network:2901): libglade-WARNING **: could not find glade file
'/usr/share/redhat-config-network/netconfpkg/gui/infodialog.glade'
 

If I try to switch to another profile, I get an exception:

Component: redhat-config-network
Version: 1.2.4
Summary: TB
/usr/src/build/243315-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/GUI_functions.py:583:__getXmlFile:RuntimeError:
could not create GladeXML object
Traceback (most recent call last):
  File "/usr/bin/redhat-control-network", line 230, in
on_profileActivateButton_clicked
    dialog = self.dialog)
  File
"/usr/src/build/243315-noarch/install/usr/share/redhat-config-network/netconfpkg/NC_functions.py",
line 425, in generic_run_dialog
    dialog = dialog)
  File
"/usr/src/build/243315-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/GUI_functions.py",
line 426, in gui_run_dialog
  File
"/usr/src/build/243315-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/GUI_functions.py",
line 583, in __getXmlFile
RuntimeError: could not create GladeXML object


and the same line in the controlling terminal.
Comment 3 Jan Moren 2003-05-07 11:00:22 EDT
With the latest version (1.2.6) it works perfectly. Thanks!
Comment 4 Harald Hoyer 2003-08-11 10:10:32 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-183.html

Note You need to log in before you can comment on or make changes to this bug.